<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence du fichier src/Couleur.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Énumérations</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier Couleur.hpp</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_couleur_8hpp_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Énumérations</h2></td></tr>
<tr class="memitem:aa304d0ca681f782b1d7735da33037dd7"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> { <a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a1fa0593d0698e5e91065ce5068141d2c">Couleur::Blanc</a> = 1, 
<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7ae72ff2ebebb5222c8421fdfe895aa5ad">Couleur::Noir</a> = 2, 
<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7a53beb73e72f759f32a06d64ae520d354">Couleur::Vide</a> = 0
 }</td></tr>
<tr class="separator:aa304d0ca681f782b1d7735da33037dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation du type de l'énumération</h2>
<a id="aa304d0ca681f782b1d7735da33037dd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa304d0ca681f782b1d7735da33037dd7">&#9670;&nbsp;</a></span>Couleur</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Représente les différents types de couleur possibles dans la partie. (Blanc, Noir ou Vide) </p>
<table class="fieldtable">
<tr><th colspan="2">Valeurs énumérées</th></tr><tr><td class="fieldname"><a id="aa304d0ca681f782b1d7735da33037dd7a1fa0593d0698e5e91065ce5068141d2c"></a>Blanc&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aa304d0ca681f782b1d7735da33037dd7ae72ff2ebebb5222c8421fdfe895aa5ad"></a>Noir&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aa304d0ca681f782b1d7735da33037dd7a53beb73e72f759f32a06d64ae520d354"></a>Vide&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
